MINOVA DEMO - Feature #1393

Modul HR Budgeting & Competasion
07/21/2022 10:04 AM - fernando sergio rumbayan

Status: Closed Start date: 07/21/2022
Priority: Immediate Due date: 07/26/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Mba yomaa,
Tolong di update Modul HR Budgeting & Competasionn... ambil dari BKT mbaaa

Terima Kasih....

History

#1 - 07/25/2022 11:20 AM - Kezia Pawitra Yulianti
- Due date changed from 07/21/2022 to 07/26/2022
- Status changed from New to Assigned

- Priority changed from Urgent to Immediate

#2 - 07/26/2022 03:13 PM - Tri Rizqiaty

- File clipboard-202207261510-fkoma.png added
- File clipboard-202207261510-ipx0q.png added
- File Budget_20220721.zip added

- Status changed from Assigned to Developing
Fixing calculate :
1. Update folder API2\bin : MinovalS.MinovaES.Business.Budget.dll, MinovalS.MinovaES.Web.Api.V.1.dll (file terlampir)

2. Update folder Ul : Budget.asmx (file terlampir)
3. Update fodler Ul\app\controller\Budget : BudgetCalculationController.js (file terlampir)
4. Update Ul\scripts : MinovaXtype.js (file terlampir)
id: tableName + rec.FieldName,
nameTable: rec.TableName,
fieldGrid: rec.FieldName,

fieldStcyle: 'text-align:righc:',

value: '0'

listeners: { //// add by Tri nwh 20220711
change: function (val, recs) {

var fvalue = val.getValue():
var custumfunc = rec.S5electFunction;
if (custumFunc.toLowerCase () .substring(?, 2) == "fn') {
Ext.hjax.request ({
async: false,
method: 'EO
url: '/Us

E] params: {
tableName:
param: 'Fun ' 4+ custumFunc + ',Active[=]1'
+
E\ success: function (response) {

wvar results = Ext.decode(response.responseText);
wvar dt = results.datal[0]:

= if (dt !'= undefined) {
custumFunc = dt.FunctionCode;
1
}
i
]
=] 1T (CusTumFurTy

eval (custumFunc)

}

10512 1) ; v
5. Execute SP query terlampir

Fixing Report :

1. Execute SP terlampir

2. Deploy RDL terlampir

3. Update table2 sesuai file terlampir

Notes Compensation fixing sesuai redmine Bug #1337
#3 - 07/26/2022 03:13 PM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#4 - 09/13/2022 05:11 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed
Files

clipboard-202207261510-fkoma.png 71.7 KB 07/26/2022 Tri Rizqiaty
clipboard-202207261510-ipx0q.png 86.2 KB 07/26/2022 Tri Rizqiaty
Budget_20220721.zip 338 KB 07/26/2022 Tri Rizqiaty
